创建 windows10XTrustedRootCertificate

命名空间:microsoft.graph

重要提示: Microsoft Graph /beta 版本下的 API 可能会更改;不支持生产使用。

注意: 适用于 Intune 的 Microsoft Graph API 需要适用于租户的 活动 Intune 许可证

创建新的 windows10XTrustedRootCertificate 对象。

先决条件

要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限

权限类型 权限(从最低特权到最高特权)
委派(工作或学校帐户) DeviceManagementServiceConfig.ReadWrite.All
委派(个人 Microsoft 帐户) 不支持。
应用程序 DeviceManagementServiceConfig.ReadWrite.All

HTTP 请求

POST /deviceManagement/resourceAccessProfiles

请求标头

标头
Authorization Bearer <token>。必需。
接受 application/json

请求正文

在请求正文中,提供 windows10XTrustedRootCertificate 对象的 JSON 表示形式。

下表显示创建 windows10XTrustedRootCertificate 时所需的属性。

属性 类型 说明
id String 配置文件标识符 继承自 deviceManagementResourceAccessProfileBase
version Int32 配置文件的版本 继承自 deviceManagementResourceAccessProfileBase
displayName String 配置文件显示名称继承自 deviceManagementResourceAccessProfileBase
说明 String 配置文件说明 继承自 deviceManagementResourceAccessProfileBase
creationDateTime DateTimeOffset DateTime 配置文件已创建 继承自 deviceManagementResourceAccessProfileBase
lastModifiedDateTime DateTimeOffset 上次修改 DateTime 配置文件 继承自 deviceManagementResourceAccessProfileBase
roleScopeTagIds String collection 范围标记 继承自 deviceManagementResourceAccessProfileBase
trustedRootCertificate 二进制 受信任的根证书
certFileName String 要显示在 UI 中的文件名。
destinationStore certificateDestinationStore 受信任根证书的目标存储位置。 可取值为:computerCertStoreRootcomputerCertStoreIntermediateuserCertStoreIntermediate

响应

如果成功,此方法在响应正文中返回 响应代码和 201 Created windows10XTrustedRootCertificate 对象。

示例

请求

下面是一个请求示例。

POST https://graph.microsoft.com/beta/deviceManagement/resourceAccessProfiles
Content-type: application/json
Content-length: 456

{
  "@odata.type": "#microsoft.graph.windows10XTrustedRootCertificate",
  "version": 7,
  "displayName": "Display Name value",
  "description": "Description value",
  "creationDateTime": "2017-01-01T00:00:43.1365422-08:00",
  "roleScopeTagIds": [
    "Role Scope Tag Ids value"
  ],
  "trustedRootCertificate": "dHJ1c3RlZFJvb3RDZXJ0aWZpY2F0ZQ==",
  "certFileName": "Cert File Name value",
  "destinationStore": "computerCertStoreIntermediate"
}

响应

下面是一个响应示例。注意:为了简单起见,可能会将此处所示的响应对象截断。将从实际调用中返回所有属性。

HTTP/1.1 201 Created
Content-Type: application/json
Content-Length: 569

{
  "@odata.type": "#microsoft.graph.windows10XTrustedRootCertificate",
  "id": "be0bfd01-fd01-be0b-01fd-0bbe01fd0bbe",
  "version": 7,
  "displayName": "Display Name value",
  "description": "Description value",
  "creationDateTime": "2017-01-01T00:00:43.1365422-08:00",
  "lastModifiedDateTime": "2017-01-01T00:00:35.1329464-08:00",
  "roleScopeTagIds": [
    "Role Scope Tag Ids value"
  ],
  "trustedRootCertificate": "dHJ1c3RlZFJvb3RDZXJ0aWZpY2F0ZQ==",
  "certFileName": "Cert File Name value",
  "destinationStore": "computerCertStoreIntermediate"
}